Uploaded image for project: 'RHEL'
  1. RHEL
  2. RHEL-3279

RFE: handle in-place upgrades with software RAIDs (mdadm)

    • Icon: Story Story
    • Resolution: Unresolved
    • Icon: Normal Normal
    • None
    • rhel-7.9.z
    • leapp-repository
    • Normal
    • sst_upgrades
    • None
    • False
    • Hide

      None

      Show
      None
    • None
    • None
    • None
    • None
    • If docs needed, set a value
    • None

      Systems using software raids cannot realiably upgrade to the next major version of RHEL (e.g. RHEL 7 -> 8). The problem is that such systems expects mdadm module inside the initramfs, but the upgrade initramfs doesn't include the mdadm dracut module, nor the configuration file is present when the initramfs is created.

      It's possible that another problems could be discovered, but this seems as the minimum change that needs to be done.

       

      Updated summary

            leapp-notifications leapp-notifications
            pstodulk@redhat.com Petr Stodulka
            RHEL Upgrades QE Team RHEL Upgrades QE Team
            Votes:
            0 Vote for this issue
            Watchers:
            14 Start watching this issue

              Created:
              Updated: